# encoding: utf-8

# File:	clients/iprint.ycp
# Package:	Configuration of iprint
# Summary:	Main file
# Authors:	Mark Clark <mclark@novell.com>
#
# $Id: iprint.ycp,v 1.1.2.2 2004/10/15 17:57:43 mclark Exp $
#
# Main file for iprint configuration. Uses all other files.
module Yast
  class IprintClient < Client
    def main
      Yast.import "UI"

      #**
      # <h3>Configuration of iprint</h3>

      textdomain "novell-iprint"

      # The main ()
      Builtins.y2milestone("----------------------------------------")
      Builtins.y2milestone("Iprint module started")

      Yast.import "Progress"
      Yast.import "Report"
      Yast.import "Summary"
      Yast.import "NovellAddonInstall"
      Yast.import "CommandLine"
      Yast.include self, "novell-iprint/wizards.rb"

      @cmdline_description = {
        "id"         => "iprint",
        # Command line help text for the Xiprint module
        "help"       => _(
          "Configuration of iprint"
        ),
        "guihandler" => fun_ref(method(:IprintSequence), "any ()"),
        "initialize" => fun_ref(Iprint.method(:Read), "boolean ()"),
        "finish"     => fun_ref(Iprint.method(:Write), "boolean ()"),
        "actions" =>
          # FIXME TODO: fill the functionality description here
          {},
        "options" =>
          # FIXME TODO: fill the option descriptions here
          {},
        "mapping" =>
          # FIXME TODO: fill the mappings of actions and options here
          {}
      }

      # is this proposal or not?
      @propose = false
      @args = WFM.Args
      if Ops.greater_than(Builtins.size(@args), 0)
        if Ops.is_path?(WFM.Args(0)) && WFM.Args(0) == path(".propose")
          Builtins.y2milestone("Using PROPOSE mode")
          @propose = true
        end
      end

      # main ui function
      @ret = nil

      if @propose
        if Ops.get(NovellAddonInstall.products_to_configure, "iprint", true)
          @ret = IprintAutoSequence()
        else
          @ret = :next
        end
      else
        @ret = CommandLine.Run(@cmdline_description)
      end
      Builtins.y2debug("ret=%1", @ret)

      # Finish
      Builtins.y2milestone("Iprint module finished")
      Builtins.y2milestone("----------------------------------------")

      deep_copy(@ret) 

      # EOF
    end
  end
end

Yast::IprintClient.new.main
