# encoding: utf-8

# -------------------------------------------------------------------------------
# (C) Copyright 2019 - 2021 Micro Focus or one of its affiliates.
#
# The only warranties for products and services of Micro Focus and its affiliates
# and licensors (“Micro Focus”) are as may be set forth in the express warranty
# statements accompanying such products and services. Nothing herein should be
# construed as constituting an additional warranty. Micro Focus shall not be
# liable for technical or editorial errors or omissions contained herein. The
# information contained herein is subject to change without notice.
#
# Except as specifically indicated otherwise, this document contains confidential
# information and a valid license is required for possession, use or copying. If
# this work is provided to the U.S. Government, consistent with FAR 12.211 and
# 12.212, Commercial Computer Software, Computer Software Documentation, and
# Technical Data for Commercial Items  are licensed to the U.S. Government under
# vendor's standard commercial license.
# ------------------------------------------------------------------------------

# File:	include/novell-iprint/helps.ycp
# Package:	Configuration of iprint
# Summary:	Help texts of all the dialogs
# Authors:	Mark Clark <mclark@novell.com>
#
# $Id: helps.ycp,v 1.1.2.5 2005/01/03 17:02:46 sbunch Exp $
module Yast
  module NovellIprintHelpsInclude
    def initialize_novell_iprint_helps(include_target)
      textdomain "novell-iprint"

      # All helps are here
      @HELPS = {
        # Read dialog help 1/2
        "read"         => _(
          "<p><b><big>Initializing iPrint Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Read dialog help 2/2
          _(
            "<p><b><big>Aborting Initialization</big></b><br>\nSafely stop the configuration utility by clicking <b>Abort</b> now.</p>\n"
          ),
        # Write dialog help 1/2
        "write"        => _(
          "<p><b><big>Saving iPrint Configuration</big></b><br>\nPlease wait...<br></p>\n"
        ) +
          # Write dialog help 2/2
          _(
            "<p><b><big>Aborting Saving:</big></b><br>\n" +
              "Stop the save procedure by clicking <b>Abort</b>.\n" +
              "This opens an additional dialog that indicates whether it is safe to do so.\n" +
              "</p>\n"
          ),
        # iPrint LDAP search context Help 1/1
        "ldap_context" => _(
          "<p><b><big>Enter the eDirectory search context (e.g. o=microfocus)</big></b><br>\nBrowse or enter the eDirectory search context. iPrint uses LDAP to verify rights to perform various iPrint operations, including authenticating users for printing and performing management tasks such as uploading drivers. During the installation of the iPrint software, iPrint attempts to identify the top-most container of the eDirectory tree and sets the base dn to this container for the AuthLDAPURL entry in /etc/opt/novell/iprint/httpd/conf/iprint_ssl.conf. For most installations, this is adequate because users are often distributed across containers. However, if you have multiple peer containers at the top of your eDirectory tree, leave this field blank so the LDAP search begins at the root of the eDirectory tree.</p>\n"
        )
      } 

      # EOF
    end
  end
end
